Skip to main content
PUT
/
v1
/
analysis-sources
/
{analysisSourceId}
Update Analysis Source
curl --request PUT \
  --url https://localtest.mindbridge.ai/api/v1/analysis-sources/{analysisSourceId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "version": 123,
  "warningsIgnored": true,
  "targetWorkflowState": "COMPLETED",
  "applyDegrouper": true,
  "proposedColumnMappings": [
    {
      "columnPosition": 123,
      "virtualColumnIndex": 123,
      "mindbridgeField": "<string>",
      "additionalColumnName": "<string>"
    }
  ],
  "columnMappings": [
    {
      "position": 123,
      "mindbridgeField": "<string>",
      "additionalColumnName": "<string>"
    }
  ],
  "proposedVirtualColumns": [
    {
      "columnIndex": 123,
      "name": "<string>",
      "type": "DUPLICATE"
    }
  ],
  "virtualColumns": [
    {
      "version": 123,
      "name": "<string>",
      "type": "DUPLICATE",
      "columnIndex": 123
    }
  ],
  "proposedAmbiguousColumnResolutions": [
    {
      "position": 1,
      "selectedFormat": "<string>"
    }
  ],
  "ambiguousColumnResolutions": [
    {
      "position": 123,
      "selectedFormat": "<string>"
    }
  ]
}
'
{
  "version": 123,
  "id": {},
  "creationDate": "2023-11-07T05:31:56Z",
  "lastModifiedDate": "2023-11-07T05:31:56Z",
  "createdUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "lastModifiedUserInfo": {
    "userId": {},
    "userName": "<string>"
  },
  "type": "ANALYSIS_RUN",
  "status": "IN_PROGRESS",
  "entityId": {},
  "entityType": "ORGANIZATION",
  "error": "<string>"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

analysisSourceId
string
required

Body

application/json
version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

warningsIgnored
boolean

Indicates whether or not warnings should be ignored.

targetWorkflowState
enum<string>

The state that the current workflow will advance to.

Available options:
COMPLETED,
CANCELLED,
FAILED,
STARTED,
DETECTING_FORMAT,
ANALYZING_COLUMNS,
CHECKING_INTEGRITY,
SCANNING_TRANSACTION_COMBINATIONS,
PARSING,
PARSING_ICEBERG,
ANALYZING_EFFECTIVE_DATE_METRICS,
FORMAT_DETECTION_COMPLETED,
COLUMN_MAPPINGS_CONFIRMED,
SETTINGS_CONFIRMED,
PREPARING_ICEBERG,
ANALYSIS_PERIOD_SELECTED,
FUNDS_REVIEWED,
RUNNING,
UNPACK_COMPLETE,
UPLOADED,
FORMAT_DETECTED,
COLUMNS_ANALYZED,
INTEGRITY_CHECKED,
PARSED,
AUTHENTICATED,
CONFIGURED,
EFFECTIVE_DATE_METRICS_ANALYZED,
DATA_VALIDATION_CONFIRMED
applyDegrouper
boolean

Indicates whether or not the degrouper should be applied.

proposedColumnMappings
Proposed Column Mapping · object[]

Details about the proposed column mapping.

columnMappings
Column Mapping · object[]

Details about column mapping.

proposedVirtualColumns
Proposed Duplicate Virtual Column · object · Proposed Duplicate Virtual Column · object · Proposed Duplicate Virtual Column · object · Proposed Duplicate Virtual Column · object · Proposed Join Virtual Column · object · Proposed Split By Delimiter Virtual Column · object · Proposed Split By Position Virtual Column · object[]

Details about the proposed virtual columns added during the file import process.

virtualColumns
(Duplicate Virtual Column · object | Join Virtual Column · object | Split By Delimiter Virtual Column · object | Split By Position Virtual Column · object)[]

Details about the virtual columns added during file ingestion.

proposedAmbiguousColumnResolutions
Proposed Ambiguous Column Resolution · object[]

Details about the virtual columns added during file ingestion.

ambiguousColumnResolutions
Ambiguous Column Resolution · object[]

Details about resolutions to ambiguity in a column.

proposedTransactionIdSelection
Transaction ID Selection · object

The proposed columns to include when selecting a transaction ID.

transactionIdSelection
Transaction ID Selection · object

Details about transaction ID selection.

Response

OK

version
integer<int64>
required

Indicates the data integrity version to ensure data consistency.

id
object

The unique object identifier.

creationDate
string<date-time>

The date that the object was originally created.

lastModifiedDate
string<date-time>

The date that the object was last updated or modified.

createdUserInfo
User Info · object

Details about the user who created the object.

lastModifiedUserInfo
User Info · object

Details about the user who last modified or updated the object.

type
enum<string>

Indicates the type of job being run.

Available options:
ANALYSIS_RUN,
ANALYSIS_SOURCE_INGESTION,
ADMIN_REPORT,
DATA_TABLE_EXPORT,
ANALYSIS_ROLL_FORWARD,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING_EXPORT,
ACCOUNT_MAPPING_EXPORT,
DATA_TRANSFORMATION_JOB
status
enum<string>

Indicates the current state of the job.

Available options:
IN_PROGRESS,
COMPLETE,
ERROR
entityId
object

Identifies the entity used in the job.

entityType
enum<string>

Identifies the entity type used in the job.

Available options:
ORGANIZATION,
ENGAGEMENT,
ANALYSIS,
ANALYSIS_RESULT,
ANALYSIS_SOURCE,
FILE_RESULT,
GDPDU_UNPACK_JOB,
ACCOUNT_GROUPING,
ENGAGEMENT_ACCOUNT_GROUPING,
FILE_MANAGER_FILE
error
string

The reason why the async job failed.